> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify channel domain DNS settings

Checks the DNS configuration for the channel's domain by querying DNS records and validating against our DNS requirements. Returns the channel details along with current DNS verification status including DKIM, Return-Path, and custom CNAME records. This endpoint is limited to 5 queries per minutes to avoid unecessary abuses.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json get /organization/channels/{email}/verify
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/channels/{email}/verify:
    get:
      tags:
        - Channels
      summary: Verify channel domain DNS settings
      description: >-
        Checks the DNS configuration for the channel's domain by querying DNS
        records and validating against our DNS requirements. Returns the channel
        details along with current DNS verification status including DKIM,
        Return-Path, and custom CNAME records. This endpoint is limited to 5
        queries per minutes to avoid unecessary abuses.
      operationId: verifyChannel
      parameters:
        - name: email
          in: path
          required: true
          schema:
            type: string
            format: email
          description: Email address of the channel to verify.
          example: support@piedpiper.com
      responses:
        '200':
          description: Channel verification details retrieved successfully.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Channel'
                  - type: object
                    properties:
                      domain:
                        type: object
                        description: Domain verification status and DNS records.
                        properties:
                          name:
                            type: string
                            description: Domain name.
                            example: piedpiper.com
                          dns:
                            type: array
                            description: DNS records to configure.
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - TXT
                                    - CNAME
                                  description: DNS record type.
                                  example: CNAME
                                key:
                                  type: string
                                  description: DNS record name.
                                  example: fernand20220202._domainkey
                                value:
                                  type: string
                                  description: DNS record value.
                                  example: fernand20220202._domainkey.piedpiper.com.
                                is_valid:
                                  type: boolean
                                  description: Whether this record is correctly configured.
                                  example: true
                                method:
                                  type: string
                                  description: Verification method used.
                                  example: dns
                                verified:
                                  type: integer
                                  description: >-
                                    Timestamp of last verification
                                    (milliseconds).
                                  example: 1642896000000
                          is_valid:
                            type: boolean
                            description: Whether all DNS records are valid.
                            example: true
                          is_pending:
                            type: boolean
                            description: Whether domain setup is still pending.
                            example: false
        '404':
          description: Channel not found.
components:
  schemas:
    Channel:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Unique identifier for the channel
          example: 12345
        name:
          type: string
          maxLength: 250
          description: >-
            Display name for the channel. Defaults to the local part of the
            email (before @) if not set.
          example: Support
        email:
          type: string
          format: email
          maxLength: 250
          description: Email address for this channel
          example: support@piedpiper.com
        destination:
          type: string
          format: email
          description: >-
            The actual email inbox used by Fernand to receive emails. This is
            where you point your email redirection to.
          example: support@piedpiper.fernand-mails.com
        is_valid:
          type: boolean
          description: >-
            Whether the channel's domain has been validated and is ready to
            send/receive emails
          example: true
      required:
        - id
        - name
        - email
        - destination
        - is_valid
      x-computed-hash: e1627e7cece0dc3e9993939d033c003c7862607dcd0bce4bcb6ae74daf6031d6
      x-last-modified: 1769075324
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````